Skip to main content
GET
/
v1
/
credentialing
List Credentialing Records
curl --request GET \
  --url https://api.example.com/v1/credentialing \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "entity",
      "npi": "<string>",
      "is_active": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "tax_id": "<string>",
      "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "therapist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "insurances": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "is_active": true,
          "payer_id": "<string>",
          "trading_partner_service_id": "<string>"
        }
      ],
      "location": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "address": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip_code": "<string>"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
q
string | null
type
enum<string> | null

Credentialing type enum matching Prisma

Available options:
entity,
rendering_provider
is_active
boolean | null

Response

Successful Response

Paginated list of credentialing records.

data
CredentialingResponse · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page